Skip to content

Most visited

Recently visited

navigation

Paint.Style

public static final enum Paint.Style
extends Enum<Paint.Style>

java.lang.Object
   ↳ java.lang.Enum<android.graphics.Paint.Style>
     ↳ android.graphics.Paint.Style


The Style specifies if the primitive being drawn is filled, stroked, or both (in the same color). The default is FILL.

Summary

Enum values

Paint.Style  FILL

Geometry and text drawn with this style will be filled, ignoring all stroke-related settings in the paint. 

Paint.Style  FILL_AND_STROKE

Geometry and text drawn with this style will be both filled and stroked at the same time, respecting the stroke-related fields on the paint. 

Paint.Style  STROKE

Geometry and text drawn with this style will be stroked, respecting the stroke-related fields on the paint. 

Public methods

static Paint.Style valueOf(String name)
static final Style[] values()

Inherited methods

From class java.lang.Enum
From class java.lang.Object
From interface java.lang.Comparable

Enum values

FILL

Added in API level 1
Paint.Style FILL

Geometry and text drawn with this style will be filled, ignoring all stroke-related settings in the paint.

FILL_AND_STROKE

Added in API level 1
Paint.Style FILL_AND_STROKE

Geometry and text drawn with this style will be both filled and stroked at the same time, respecting the stroke-related fields on the paint. This mode can give unexpected results if the geometry is oriented counter-clockwise. This restriction does not apply to either FILL or STROKE.

STROKE

Added in API level 1
Paint.Style STROKE

Geometry and text drawn with this style will be stroked, respecting the stroke-related fields on the paint.

Public methods

valueOf

Added in API level 1
Paint.Style valueOf (String name)

Parameters
name String
Returns
Paint.Style

values

Added in API level 1
Style[] values ()

Returns
Style[]
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a one-minute survey?
Help us improve Android tools and documentation.